Your message dated Mon, 09 Apr 2018 22:16:07 +0200
with message-id <m3h8ok87aw....@luffy.cx>
and subject line Re: Processed: notfound 892576 in 0.9.6-1, found 892576 in 
1.0.0-1
has caused the Debian Bug report #892576,
regarding python3-terminado: misnamed egg-info
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
892576: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=892576
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: python3-terminado
Version: 0.8.1-1
Severity: important

The 0.8.1-1 .deb contains "/usr/lib/python3/dist-packages/terminado-.egg-info"
instead of "/usr/lib/python3/dist-packages/terminado-0.8.1.egg-info", causing
for example this error:

    $ pex
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2645, in version
        return self._version
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2731, in __getattr__
        raise AttributeError(attr)
    AttributeError: _version

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/usr/bin/pex", line 11, in <module>
        load_entry_point('pex==1.1.14', 'console_scripts', 'pex')()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
572, in load_entry_point
        return get_distribution(dist).load_entry_point(group, name)
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2755, in load_entry_point
        return ep.load()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2408, in load
        return self.resolve()
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2414, in resolve
        module = __import__(self.module_name, fromlist=['__name__'], level=0)
      File "/usr/lib/python3/dist-packages/pex/bin/pex.py", line 31, in <module>
        from pex.requirements import requirements_from_file
      File "/usr/lib/python3/dist-packages/pex/requirements.py", line 6, in 
<module>
        from .resolvable import Resolvable
      File "/usr/lib/python3/dist-packages/pex/resolvable.py", line 15, in 
<module>
        from .resolver_options import ResolverOptionsBuilder, 
ResolverOptionsInterface
      File "/usr/lib/python3/dist-packages/pex/resolver_options.py", line 15, 
in <module>
        from .translator import ChainedTranslator, EggTranslator, 
SourceTranslator, WheelTranslator
      File "/usr/lib/python3/dist-packages/pex/translator.py", line 54, in 
<module>
        class SourceTranslator(TranslatorBase):
      File "/usr/lib/python3/dist-packages/pex/translator.py", line 73, in 
SourceTranslator
        interpreter=PythonInterpreter.get(),
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 206, in get
        return cls.from_binary(sys.executable)
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 274, in 
from_binary
        cls.CACHE[binary] = cls._from_binary_internal(path_extras)
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 232, in 
_from_binary_internal
        return cls(sys.executable, PythonIdentity.get(), dict(iter_extras()))
      File "/usr/lib/python3/dist-packages/pex/interpreter.py", line 230, in 
iter_extras
        if dist.version:
      File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 
2650, in version
        raise ValueError(tmpl % self.PKG_INFO, self)
    ValueError: ("Missing 'Version:' header and/or PKG-INFO file", terminado 
[unknown version] (/usr/lib/python3/dist-packages))

-- System Information:
Debian Release: buster/sid
  APT prefers testing
  APT policy: (980, 'testing'), (980, 'stable'), (500, 'unstable-debug'), (500, 
'testing-debug'), (500, 'unstable'), (500, 'stable'), (200, 'experimental'), 
(1, 'experimental-debug')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 4.15.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=cs_CZ.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8), 
LANGUAGE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages python3-terminado depends on:
ii  python3  3.6.4-1

python3-terminado recommends no packages.

python3-terminado suggests no packages.

-- no debconf information

-- 
Tomáš Janoušek, a.k.a. Pivník, a.k.a. Liskni_si, http://work.lisk.in/

--- End Message ---
--- Begin Message ---
Sorry, wrong bug number...

Attachment: signature.asc
Description: PGP signature


--- End Message ---

Reply via email to